import request,{postBlob} from '@/utils/request'

// 获取采购申请单列表
export function getPurchaseApplySheetList(params) {
  return request({
    url: '/shop/purchase-apply/list',
    method: 'get',
    params
  })
}
export function getNewPurchaseApplySheetList(data) {
  console.log(data,999);
  return request({
    url: `/shop/purchase-apply/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewPurchaseApplySheetList(data, name) {
  return postBlob({
    url: '/shop/purchase-apply/zfire/list/export',
    data,
    name
  })
}




// 获取采购申请单信息
export function getPurchaseApplySheet(params) {
  return request({
    url: '/shop/purchase-apply/detail',
    method: 'get',
    params
  })
}

// 新增采购申请单
export function addPurchaseApplySheet(params) {
  return request({
    url: '/shop/purchase-apply/add',
    method: 'post',
    data: params
  })
}

// 编辑采购申请单
export function editPurchaseApplySheet(params) {
  return request({
    url: '/shop/purchase-apply/update',
    method: 'post',
    data: params
  })
}

// 提交采购申请单
export function submitPurchaseApplySheet(params) {
  return request({
    url: '/shop/purchase-apply/submit',
    method: 'get',
    params
  })
}

// 撤消采购申请单
export function revokePurchaseApplySheet(params) {
  return request({
    url: '/shop/purchase-apply/revoke',
    method: 'get',
    params
  })
}

// 删除采购申请单
export function delPurchaseApplySheet(params) {
  return request({
    url: '/shop/purchase-apply/del',
    method: 'get',
    params
  })
}
